#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "EAimingCrosshairState.h"
#include "AimingCrosshairComponent.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DEADBYDAYLIGHT_API UAimingCrosshairComponent : public UActorComponent
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnCrosshairStateChanged(EAimingCrosshairState newState, EAimingCrosshairState lastState);

public:
	UAimingCrosshairComponent();
};

FORCEINLINE uint32 GetTypeHash(const UAimingCrosshairComponent) { return 0; }
